{extends file=$smarty.const.SMARTY_LAYOUT_MAIN_GENERAL_PAGINATED_LISTING}

{block name="js" append}
	<script type="text/javascript">
		MVC.scheduleOnLoad(function(){
			
			MVC.listing.prototype.deleteCurrentItemWithConfirmation = function(element){
				MVC.callbackWithConfirmation(
					"",
					"{$lang['delete']['confirmation']}",
					this.backend_callUpdateOperation.bind(this, 'delete', {
						'listing[selection][add][]':	this.getItemId(element),
						'listing[selection][clear]' :	'all'
					})
				);
			}
			
			MVC.listing.prototype.setDefaultCurrentItem= function(element){
				this.backend_callUpdateOperation('setDefault', {
					'listing[selection][add][]':	this.getItemId(element),
					'listing[selection][clear]' :	'all'
				});
			}
			
			MVC.listing.prototype.unsetDefaultCurrentItem= function(element){
				this.backend_callUpdateOperation('unsetDefault', {
					'listing[selection][add][]':	this.getItemId(element),
					'listing[selection][clear]' :	'all'
				});
			}

			MVC.listing.prototype.resetWithConfirmation = function(element) {
				MVC.callbackWithConfirmation(
					"",
					"{$lang['reset']['confirmation']}",
					this.backend_callUpdateOperation.bind(this, 'reset', {	})
				);
			}

			MVC.listing.prototype.saveWithConfirmation = function(element) {
				MVC.callbackWithConfirmation(
					"",
					"{$lang['save']['confirmation']}",
					this.backend_callUpdateOperation.bind(this, 'save', { })
				);
			}
			
		});
	</script>
{/block}
